# Topology Class Reference

Topology stores the topological information about a system. More...

List of all members.

## Public Member Functions

def | __init__
| Create a new Topology object.
def | addChain
| Create a new Chain and add it to the Topology.
def | addResidue
| Create a new Residue and add it to the Topology.
def | addAtom
| Create a new Atom and add it to the Topology.
def | addBond
| Create a new bond and add it to the Topology.
def | chains
| Iterate over all Chains in the Topology.
def | residues
| Iterate over all Residues in the Topology.
def | atoms
| Iterate over all Atoms in the Topology.
def | bonds
| Iterate over all bonds (each represented as a tuple of two Atoms) in the Topology.
def | getUnitCellDimensions
| Get the dimensions of the crystallographic unit cell.
def | setUnitCellDimensions
| Set the dimensions of the crystallographic unit cell.
def | loadBondDefinitions
| Load an XML file containing definitions of bonds that should be used by createStandardBonds().
def | createStandardBonds
| Create bonds based on the atom and residue names for all standard residue types.
def | createDisulfideBonds
| Identify disulfide bonds based on proximity and add them to the Topology.

## Detailed Description

Topology stores the topological information about a system.

The structure of a Topology object is similar to that of a PDB file. It consists of a set of Chains (often but not always corresponding to polymer chains). Each Chain contains a set of Residues, and each Residue contains a set of Atoms. In addition, the Topology stores a list of which atom pairs are bonded to each other, and the dimensions of the crystallographic unit cell.

Atom and residue names should follow the PDB 3.0 nomenclature for all molecules for which one exists.

## Member Function Documentation

def __init__ | ( |  | self | ) |

Create a new Topology object.

def addAtom | ( |  | self,
|  |  | name,
|  |  | element,
|  |  | residue |
| ) |  |  |

Create a new Atom and add it to the Topology.

Parameters:

  | name | (string) The name of the atom to add
  | element | (Element) The element of the atom to add
  | residue | (Residue) The Residue to add it to

Returns:
  the newly created Atom

def addBond | ( |  | self,
|  |  | atom1,
|  |  | atom2 |
| ) |  |  |

Create a new bond and add it to the Topology.

Parameters:

  | atom1 | (Atom) The first Atom connected by the bond
  | atom2 | (Atom) The second Atom connected by the bond

def addChain | ( |  | self | ) |

Create a new Chain and add it to the Topology.

Returns:
  the newly created Chain

def addResidue | ( |  | self,
|  |  | name,
|  |  | chain |
| ) |  |  |

Create a new Residue and add it to the Topology.

Parameters:

  | name | (string) The name of the residue to add
  | chain | (Chain) The Chain to add it to

Returns:
  the newly created Residue

def atoms | ( |  | self | ) |

Iterate over all Atoms in the Topology.

def bonds | ( |  | self | ) |

Iterate over all bonds (each represented as a tuple of two Atoms) in the Topology.

def chains | ( |  | self | ) |

Iterate over all Chains in the Topology.

def createDisulfideBonds | ( |  | self,
|  |  | positions |
| ) |  |  |

Identify disulfide bonds based on proximity and add them to the Topology.

Parameters:

  | positions | (list) The list of atomic positions based on which to identify bonded atoms

def createStandardBonds | ( |  | self | ) |

Create bonds based on the atom and residue names for all standard residue types.

Definitions for standard amino acids and nucleotides are built in. You can call loadBondDefinitions() to load additional definitions for other residue types.

def getUnitCellDimensions | ( |  | self | ) |

Get the dimensions of the crystallographic unit cell.

The return value may be None if this Topology does not represent a periodic structure.

def loadBondDefinitions | ( |  | file | ) |

Load an XML file containing definitions of bonds that should be used by createStandardBonds().

The built in residues.xml file containing definitions for standard amino acids and nucleotides is loaded automatically. This method can be used to load additional definitions for other residue types. They will then be used in subsequent calls to createStandardBonds(). This is a static method, so it affects subsequent calls on all Topology objects. Also note that PDBFile calls createStandardBonds() automatically when a file is loaded, so the newly loaded definitions will be used for any PDB file loaded after this is called.

def residues | ( |  | self | ) |

Iterate over all Residues in the Topology.

def setUnitCellDimensions | ( |  | self,
|  |  | dimensions |
| ) |  |  |

Set the dimensions of the crystallographic unit cell.

The documentation for this class was generated from the following file:

- topology.py